/*
 * eccezione.cpp
 *
 *  Created on: 17/mag/2011
 *      Author: bertini
 */

#include "SimpleException.h"
#include "ComplexException.h"

#include <iostream>

using namespace std;

void test(int i) throw(SimpleException, ComplexException);

int main() {
	try {
		test(1);
	} catch( ComplexException& ce ) {
		cerr << ce.what() << endl;
	} catch( SimpleException& se ) {
		cerr << se.what() << endl;
	}

}


void test(int i) throw(SimpleException, ComplexException){
	if( (i%2) == 0 )
		throw ComplexException( "Even number error" );
	else
		throw SimpleException("Odd number error","", __FILE__, __LINE__);
}
